﻿
/*
------------------------------
	Report Builder
------------------------------
*/
.vv-rb {
    color: #0B3D91;
}

    .vv-rb .md-title {
        color: #0B3D91;
        margin-top: 5px;
    }

.vv-rb-parameter {
}

    .vv-rb-parameter md-input-container {
        padding-bottom: 2px;
    }

.vv-rb-selection-title {
    font-size: 14pt;
    font-weight: bold;
    margin-bottom: 7px;
    padding-left: 15pt;
}

.vv-tb-selection {
    margin-bottom: 10px;
}

.vv-rb-parameter-selection {
    border-top: 1px solid #DDDDDD;
    min-height: 27px;
}

    .vv-rb-parameter-selection:last-child {
        border-bottom: 1px solid #DDDDDD;
    }

    .vv-rb-parameter-selection md-icon {
        cursor: pointer;
    }

.vv-rb-parameter-selection-title {
    font-size: 13pt;
    line-height: 27px;
    cursor: pointer;
    padding-left: 5pt;
}

.vv-rb-parameter-selection-values {
    color: #666666;
    font-size: 10pt;
}

    .vv-rb-parameter-selection-values span:not(:last-child):not(.no-postfix):after {
        content: ',';
    }


.vv-rb-content-area {
    padding-left: 10pt;
}

.vv-rb-parameter-header {
    padding: 5px 10px;
    cursor: pointer;
    font-size: 13pt;
    font-weight: bold;
    margin: 0 5px;
    border-bottom: 1px solid #DDDDDD;
}

.vv-rb-parameter-content {
    color: #666666;
    font-size: 11pt;
    padding-left: 10pt;
}

    .vv-rb-parameter-content label {
        display: block;
    }

    .vv-rb-parameter-content md-checkbox,
    .vv-rb-parameter-content md-radio-button {
        line-height: 15px;
        padding-left: 10px;
        min-width: 13px;
        min-height: 13px;
        margin: 5px;
    }

        .vv-rb-parameter-content md-checkbox .md-container,
        .vv-rb-parameter-content md-radio-button .md-container {
            width: 13px;
            height: 13px;
        }

        .vv-rb-parameter-content md-checkbox .md-icon,
        .vv-rb-parameter-content md-radio-button .md-on,
        .vv-rb-parameter-content md-radio-button .md-off {
            width: 13px;
            height: 13px;
        }

md-select-menu md-option {
    padding: 0px 10px;
    height: 22px;
}

    md-select-menu md-option .md-text {
        font-size: 12px;
    }

.vv-rb-parameter-content md-select-value {
    min-height: 22px;
}

.vv-rb-parameter-content .md-input {
    line-height: 22px;
    padding-left: 10px;
}

.vv-rb-parameter-content input[date-time=""] {
    margin-left: 36px;
    padding-left: 5px;
    max-width: 100px;
}

.vv-rb-parameter-content#selection-calendar .md-input {
    max-width: 25px;
}

.vv-rb-parameter#selection-calendar md-radio-button {
    line-height: 25px;
}

.vv-rb-parameter#selection-calendar md-select {
    margin: 5px 0px 10px;
}

.vv-rb-parameter-content span.rb-label {
    margin: 0px 5px;
}

.vv-rb-parameter-content md-tabs {
    width: 95%;
}

.vv-rb-parameter-content .md-tab {
    font-size: 12px;
    line-height: 20px;
    padding: 7px 20px;
}
.vv-rb-parameter-content md-tabs-content-wrapper,
.vv-rb-parameter-content md-tab-content,
.vv-rb-parameter-content md-tab-content  > div:first-child
{
    height:100%;
}

.vv-rb-parameter-content md-tabs-canvas {
    height: 30px;
    min-width: 330px;
}

.vv-rb-parameter-content md-pagination-wrapper {
    height: 30px;
}

md-toolbar.md-warn > md-tabs.md-default-theme,
md-tabs > md-tabs-wrapper > md-tabs-canvas > md-pagination-wrapper > md-tab-item:not([disabled]).md-active,
md-toolbar.md-warn > md-tabs.md-default-theme,
md-tabs > md-tabs-wrapper > md-tabs-canvas > md-pagination-wrapper > md-tab-item:not([disabled]).md-focused {
    color: #0B3D91;
}

.vv-rb-parameter-content .dx-calendar-cell.rb-date-selected {
    color: #FFF;
    background-color: #606060;
    font-weight: normal;
}
/*
------------------------------
	End Report Builder
------------------------------
*/


/*
------------------------------
	Start Popup Dialog
------------------------------
*/
.popup-modal-layer {
    display: none;
    background-color: #bbb;
    opacity: 0.3;
    position: absolute;
    width: 100%;
    height: 100%;
    top: 0;
    left: 0;
    z-index: 100;
}

.popup-window {
    position: absolute;
    background-color: #fff;
    /*
    width: 1200px;
    height: 400px;
    */
    margin: auto;
    overflow: auto;
    z-index: 200;
    cursor: default;
    display: table;
    left: 40%;
    right: 40%;
    top: 0%;
    color: #666;
    /*padding: 3px 0 0 0;*/
    border-bottom: 1px solid #dbdbdb;
}

/*
------------------------------
	End Popup Dialog
------------------------------
*/

.vv-list {
    width:500px;
}

.vv-listitem {
    border:solid 1px #DDDDDD;
}

.vv-error {
    color:red;
    font-weight:bold;
    display:none;
}